<template>
  <el-dialog
    width="400px"
    :modelValue="visible"
    :title="t('webSearch.appointment')"
    align-center
    @close="closeDialog"
  >
    <p>如需对接，请联系我们</p>
    <p>联系人：中科云平台</p>
    <p>联系电话：18156053255（微信同号）</p>
    <template #footer>
      <el-button type="primary" @click="closeDialog">
        {{ t("common.close") }}</el-button
      >
    </template>
  </el-dialog>
</template>
<script setup>
import { useI18n } from "vue-i18n";

const { t } = useI18n();
const props = defineProps({
  visible: {
    type: Boolean,
    required: true,
  },
});

const emit = defineEmits(["update:visible"]);

const closeDialog = () => {
  emit("update:visible", false);
};
</script>
